### Function

# Gio resources_enumerate_children

since: 2.32

#### Declaration [src]

    char**
    g_resources_enumerate_children (
      const char* path,
      GResourceLookupFlags lookup_flags,
      GError** error
    )

#### Description [src]

Returns all the names of children at the specified `path` in the set of globally registered resources.

The return result is a `NULL` terminated list of strings which should be released with `g_strfreev()`.

`lookup_flags` controls the behaviour of the lookup.

Available since: 2.32

#### Parameters

`path`

  Type: `const char*`

  A path name inside the resource.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`lookup_flags`

  Type: `GResourceLookupFlags`

  A `GResourceLookupFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

An array of constant strings.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.